# ImportFile api

## 实例

```html
<template>
  <div class="demo">
    <button type="primary" @click="open">to upload</button>

    <import-file
      :title="title"
      :upload-url="uploadUrl"
      :download-url="downloadUrl"
      :download-filename="downloadFilename"
      :headers="headers"
      :format="['xls', 'xlsx']"
      @confirm="fileUploaded"
      ref="ImportFile"
    >
    </import-file>
  </div>
</template>

<script>
  import ImportFile from "@/components/common/ImportFile";

  export default {
    name: "demo",
    components: {
      ImportFile
    },
    data() {
      return {
        title: "导入文件",
        uploadUrl: this.GLOBAL.domain + "yourUploadPath",
        uploadData: {},
        downloadFilename: "要下载的文件.xls",
        downloadUrl: "/path/要下载的文件.xls",
        headers: {
          Authorization: "token"
        }
      };
    },
    methods: {
      open() {
        this.$refs.ImportFile.modalIsShow = true;
      },
      fileUploaded(file) {
        // file:上传文件的url地址
        console.log(file);
      }
    }
  };
</script>
```

## ImportFile props

| 属性             | 说明                                               | 类型   | 默认值         |
| ---------------- | -------------------------------------------------- | ------ | -------------- |
| title            | 标题文字                                           | String | 文件上传       |
| downloadUrl      | 要下载的文件地址                                   | String | -              |
| downloadFilename | 要下载的文件名称,默认是 downloadUrl 所指向的文件名 | String | -              |
| format           | 支持上传的文件格式                                 | Array  | ["jpg", "png"] |
| uploadUrl        | 上传地址，必须                                     | String | -              |
| uploadData       | 上传时额外的数据                                   | Object | {}             |
| headers          | 上传时添加的 headers 信息                          | Object | {}             |
| maxSize          | 限制的文件大小，单位 kb                            | Number | 10 \* 1024     |

## ImportFile events

| 事件名  | 说明                   | 返回值                       |
| ------- | ---------------------- | ---------------------------- |
| confirm | 确认文件上传时触发事件 | fileUrl：上传文件的 url 地址 |
